import { type DomainEvent } from '@modules/shared';

export class PhoneChangeRequestedEvent implements DomainEvent {
  readonly eventName = 'user.phone_change_requested';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly newPhone: string,
    public readonly otpCode: string,
  ) {}
}
